# Rechen Spiel ab der 2. Klasse
# https://gweep.eu
# 2024-03-17
# Version: 1.00b
# Quelle: Buch - Einstieg in Python - Rheinwerk Verlag
# Dieses Programm ist meinerseits nur etwas abgeaendert und so angepasst das es
# mein Sohn fuer die 2. Klasse Volkschule zum lernen nutzen kann.
#
#
# 1: Zufallsgenerator
import random
random.seed()


# 2: Anzahl Aufgaben
anzahl = 10
"""
anzahl = -1
while anzahl<1 or anzahl>10:
    try:
        print("Wie viele Aufgaben (1 bis 10):")
        anzahl = int(input())
    except:
        continue
"""
# 2.1 Intro
print("Willkommen zu gweep's Rechenspiel!")
print("Albert Einstein wuenscht dir viel Spasz beim Rechnen :P")
print("https://de.wikipedia.org/wiki/Albert_Einstein")
print(" ")
print(r"       -''--. ")
print(r"       _`>   `\.-'<  ")
print(r"    _.'     _     '._  ")
print(r"  .'   _.='   '=._   '.  ")
print(r"  >_   / /_\ /_\ \   _<  ")
print(r"    / (  \o/\\o/  ) \  ")
print(r"    >._\ .-,_)-. /_.<  ")
print(r"        /__/ \__\   ")
print(r"          '---'     E=mc^2  ")
print(" ")
# 3: Anzahl richtige Ergebnisse
richtig = 0

# 4: Schleife mit gewünschter Anzahl an Aufgaben
for aufgabe in range(1,anzahl+1):

    # 5: Operatorauswahl
    opzahl = random.randint(1,4)

    # 6: Operandenauswahl
    if opzahl == 1:
        a = random.randint(1,50)
        b = random.randint(1,50)
        op = "+"
        c = a + b
    elif opzahl == 2:
        a = random.randint(40,99)
        b = random.randint(1,39)
        op = "-"
        c = a - b
    elif opzahl == 3:
        a = random.randint(1,10)
        b = random.randint(1,10)
        op = "*"
        c = a * b

    # 7: Sonderfall Division
    elif opzahl == 4:
        c = random.randint(1,10)
        b = random.randint(1,10)
        op = "/"
        a = c * b

    # 8: Aufgabenstellung
    print(f"Aufgabe {aufgabe} von {anzahl}: {a} {op} {b}")

    # 9: Schleife mit 3 Versuchen
    for versuch in range(1,4):
        # 10: Eingabe
        try:
            print("Bitte dein Ergebnis eingeben:")
            zahl = int(input())
        except:
            # Umwandlung war nicht erfolgreich
            print("Du hast keine ganze Zahl eingegeben. Ganze Zahlen sind 1, 2, 3, 4 und so weiter, String/Zeichen sind a, b, hallo und Flieszkommazahlen sind 1.2, 3.4 und so weiter.")
            # Schleife unmittelbar fortsetzen
            continue

        # 11: Kommentar
        if zahl == c:
            print(zahl, "Sehr gut, das ist richtig")
            richtig += 1
            break
        else:
            print(zahl, "Das ist leider falsch")

    # 12: Richtiges Ergebnis der Aufgabe
    print("Ergebnis:", c)

# 13: Anzahl richtige Ergebnisse
if richtig == 10:
    print(f"Richtig: {richtig} von {anzahl}")
    print("Du bist ein echter Rechen Champion!")
    print(" ")
    print(r"          .-=========-. ")
    print(r"          \'-=======-'/ ")
    print(r"          _|   .=.   |_ ")
    print(r"         ((|  {{1}}  |)) ")
    print(r"          \|   /|\   |/ ")
    print(r"           \__ '`' __/ ")
    print(r"             _`) (`_ ")
    print(r"           _/_______\_ ")
    print(r"          /___________\ ")
          
elif richtig == 9:
    print(f"Richtig: {richtig} von {anzahl}")
    print("Sehr gut, du bist fast Rechen Champion geworden!")
    print(" ")    
    print(r"        /\_/\           ___  ")
    print(r"       = o_o =_______    \ \   ")
    print(r"        __^      __(  \.__) )  ")
    print(r"    (@)<_____>__(_____)____/  ")

elif richtig == 8:    
    print(f"Richtig: {richtig} von {anzahl}")
    print(" ")    
    print("Sehr gut, weiter so!")
    print(r" w  c(..)o   (  ")
    print(r"  \__(-)    __)  ")
    print(r"      /\   (  ")
    print(r"     /(_)___)  ")
    print(r"     w /|  ")
    print(r"      | \  ")
    print(r"     m  m  ")


elif richtig == 7:    
    print(f"Richtig: {richtig} von {anzahl}")
    print("Uebe noch, dann wirst Du vielleicht Champion ;)")
elif richtig == 6:    
    print(f"Richtig: {richtig} von {anzahl}")
    print("Du musst noch ueben ;)")
elif richtig == 5:    
    print(f"Richtig: {richtig} von {anzahl}")
    print("Gleich noch einmal, uebung macht den Champion!")    
else:    
    print(f"Richtig: {richtig} von {anzahl}")
    print("Oje, du musst noch viel Ueben :)")